## msgpack-c 3.3.0

=== example/cmake/CMakeLists.txt ===
cmake_minimum_required (VERSION 3.0)
project (example)

if(EXAMPLE_MSGPACK_EMBEDDED)
    add_subdirectory(msgpack-c)
    set(msgpack_DIR ${CMAKE_CURRENT_BINARY_DIR}/msgpack-c)
endif()

find_package(msgpack REQUIRED)

add_executable (${PROJECT_NAME} ${CMAKE_CURRENT_LIST_DIR}/../c/simple_c.c)
target_link_libraries(${PROJECT_NAME} msgpackc)

if(TARGET msgpackc-static)
    add_executable (${PROJECT_NAME}-static ${CMAKE_CURRENT_LIST_DIR}/../c/simple_c.c)
    target_link_libraries(${PROJECT_NAME}-static msgpackc-static)
endif()

=== debian/changelog ===
msgpack-c (3.3.0-4) unstable; urgency=medium

  * Add libboost-dev to libmsgpack-dev Depends (Ref #965301)

 -- James McCoy <jamessan@debian.org>  Sun, 19 Jul 2020 21:30:56 -0400

msgpack-c (3.3.0-3) unstable; urgency=medium

  * Revert "Enable MSGPACK_BOOST and add
    libboost-{chrono,context,system,timer}-dev Build-Depends".
    + libboost-context-dev isn't available on all architectures.  The next
      upstream version will refine the required Boost libaries.  Until then,
      go back to not running the Boost tests.
  * Only Build-Depend on libboost-dev for tests

 -- James McCoy <jamessan@debian.org>  Wed, 15 Jul 2020 10:18:06 -0400

msgpack-c (3.3.0-2) unstable; urgency=medium

  * Remove build17/ during cleanup
  * Backport upstream patches to fix FTBFS on armhf.  (Closes: #965010)
  * Enable MSGPACK_BOOST and add libboost-{chrono,context,system,timer}-dev
    Build-Depends.

 -- James McCoy <jamessan@debian.org>  Wed, 15 Jul 2020 01:41:36 -0400

msgpack-c (3.3.0-1) unstable; urgency=medium

  * New upstream release
    + Fix FTBFS on 32-bit architectures (Closes: #950496)
  * copyright: Remove unused Files/License paragraphs
  * Declare compliance with Policy 4.5.0, no changes needed
  * tests/control:
    + Add libcjson-dev to Depends for new json example

 -- James McCoy <jamessan@debian.org>  Fri, 05 Jun 2020 23:40:36 -0400

msgpack-c (3.2.1-1) experimental; urgency=medium

  * New upstream release (Closes: #919672)
  * rules:
    + Remove obsolete handling of differing hardening=+all,-pie semantics
    + Run build-time tests for C++11 and C++17
  * Switch to debhelper compat 12 via debhelper-compat
  * control:
    + Add graphviz to Build-Depends-Indep to build graphs in API docs
    + Mark libmsgpack-doc Multi-Arch: foreign
    + Mark libmsgpack-dev Multi-Arch: same
  * Use jdupes to reduce size of libmsgpack-doc
  * Declare compliance with Policy 4.4.1, no changes needed
  * autopkgtests:
    + Depend on libmsgpack-dev, not "@".  Installing libmsgpack-doc just
      wastes time/disk space.
    + Use example directory's CMakeLists.txt to build/test all examples
  * Avoid building/installing documentation for nodoc build profile/options
    + Add <!nodoc> to Build-Depends-Indep
    + Add <!nodoc> Build-Profiles to libmsgpack-doc stanza
    + Don't build libmsgpack-doc if DEB_BUILD_OPTIONS=nodoc

 -- James McCoy <jamessan@debian.org>  Wed, 01 Jan 2020 23:10:23 -0500

=== debian/control ===
Source: msgpack-c
Section: libs
Priority: optional
Maintainer: James McCoy <jamessan@debian.org>
Build-Depends-Indep:
 doxygen <!nodoc>,
 doxygen-latex <!nodoc>,
 graphviz <!nodoc>,
 jdupes <!nodoc>,
Build-Depends:
 cmake (>= 2.8.12),
 debhelper-compat (= 12),
 googletest <!nocheck>,
 libboost-dev <!nocheck>,
 ninja-build,
 zlib1g-dev,
Standards-Version: 4.5.0
Homepage: https://github.com/msgpack/msgpack-c/
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/jamessan/msgpack-c.git
Vcs-Browser: https://salsa.debian.org/jamessan/msgpack-c

Package: libmsgpackc2
Pre-Depends:
 ${misc:Pre-Depends},
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: binary-based efficient object serialization library
 MessagePack is a binary-based efficient object serialization library.
 It enables to exchange structured objects between many languages like JSON.
 But unlike JSON, it is very fast and small.

Package: libmsgpack-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 libboost-dev,
 libmsgpackc2 (= ${binary:Version}),
 ${misc:Depends},
Suggests:
 libmsgpack-doc,
Description: binary-based efficient object serialization library (development files)
 MessagePack is a binary-based efficient object serialization library.
 It enables to exchange structured objects between many languages like JSON.
 But unlike JSON, it is very fast and small.
 .
 This package contains the headers files needed for developing with msgpack-c.

Package: libmsgpack-doc
Section: doc
Architecture: all
Build-Profiles: <!nodoc>
Multi-Arch: foreign
Depends:
 ${misc:Depends},
Description: binary-based efficient object serialization library (docs)
 MessagePack is a binary-based efficient object serialization library.
 It enables to exchange structured objects between many languages like JSON.
 But unlike JSON, it is very fast and small.
 .
 This package contains the documentation of msgpack-c's API.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS=hardening=+all
include /usr/share/dpkg/architecture.mk
include /usr/share/dpkg/buildflags.mk

export CFLAGS CXXFLAGS CPPFLAGS LDFLAGS

%:
	dh $@ --buildsystem=cmake+ninja --builddirectory=build

# If we're running tests, then setup the build for both C++11/C++17 so we can run the entire test suite
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
override_dh_auto_configure:
	mkdir -p build-gtest
	cd build-gtest && \
	  cmake -Wno-dev -DCMAKE_INSTALL_PREFIX=$(CURDIR)/build-gtest/install -DBUILD_GMOCK=OFF -DBUILD_GTEST=ON /usr/src/googletest && \
	  make install
	env GTEST_ROOT=$(CURDIR)/build-gtest/install dh_auto_configure -- -DMSGPACK_CXX11=ON -DMSGPACK_ENABLE_SHARED=ON -DMSGPACK_ENABLE_CXX=ON -DCMAKE_INSTALL_LIBDIR=/usr/lib/$(DEB_HOST_MULTIARCH)
	env GTEST_ROOT=$(CURDIR)/build-gtest/install dh_auto_configure --builddirectory=build17 -- -DMSGPACK_CXX17=ON -DMSGPACK_ENABLE_SHARED=ON -DMSGPACK_ENABLE_CXX=ON -DCMAKE_INSTALL_LIBDIR=/usr/lib/$(DEB_HOST_MULTIARCH)

override_dh_auto_build-arch:
	dh_auto_build
	dh_auto_build --builddirectory=build17

override_dh_auto_test-arch:
	dh_auto_test
	dh_auto_test --builddirectory=build17

else
# Otherwise, we don't need to specify anything about the C++ standard, since it's a header-only library, nor do we need to build gtest
override_dh_auto_configure:
	dh_auto_configure -- -DMSGPACK_ENABLE_SHARED=ON -DMSGPACK_ENABLE_CXX=ON -DCMAKE_INSTALL_LIBDIR=/usr/lib/$(DEB_HOST_MULTIARCH)

endif

ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
override_dh_auto_build-indep:
	dh_auto_build -- doxygen

override_dh_install-indep:
	dh_install -i

override_dh_installdocs-indep:
	mkdir -p build/html
	mv build/doc_c/html build/html/msgpack-c
	mv build/doc_cpp/html build/html/msgpack-cpp
	dh_installdocs
	dh_doxygen

override_dh_link-indep:
	dh_link -i
	jdupes -rl debian/libmsgpack-doc/usr/

override_dh_auto_test-indep:
endif

=== debian/tests/control ===
Tests: c
Depends:
 build-essential,
 cmake,
 libcjson-dev,
 libmsgpack-dev,

Tests: cpp03
# The stream example writes "connection closed" to stderr as part of the normal
# EOF processing
Restrictions: allow-stderr
Depends:
 build-essential,
 cmake,
 libmsgpack-dev,

Tests: cpp11
Depends:
 build-essential,
 cmake,
 libmsgpack-dev,

Tests: x3
Depends:
 build-essential,
 cmake,
 libmsgpack-dev,

## msgpack-c 4.0.0

=== CMakeLists.txt ===
CMAKE_MINIMUM_REQUIRED (VERSION 2.8.12)

IF ((CMAKE_VERSION VERSION_GREATER 3.1) OR
    (CMAKE_VERSION VERSION_EQUAL 3.1))
    CMAKE_POLICY(SET CMP0054 NEW)
ENDIF ()

PROJECT (msgpack)

FILE (READ ${CMAKE_CURRENT_SOURCE_DIR}/include/msgpack/version_master.h contents)
STRING (REGEX MATCH "#define MSGPACK_VERSION_MAJOR *([0-9a-zA-Z_]*)" NULL_OUT ${contents})
SET (VERSION_MAJOR ${CMAKE_MATCH_1})
STRING (REGEX MATCH "#define MSGPACK_VERSION_MINOR *([0-9a-zA-Z_]*)" NULL_OUT ${contents})
SET (VERSION_MINOR ${CMAKE_MATCH_1})
STRING (REGEX MATCH "#define MSGPACK_VERSION_REVISION *([0-9a-zA-Z_]*)" NULL_OUT ${contents})
SET (VERSION_REVISION ${CMAKE_MATCH_1})
SET (VERSION ${VERSION_MAJOR}.${VERSION_MINOR}.${VERSION_REVISION})

LIST (APPEND CMAKE_MODULE_PATH "${PROJECT_SOURCE_DIR}/cmake/")
SET (prefix ${CMAKE_INSTALL_PREFIX})
SET (exec_prefix "\${prefix}")
SET (libdir "\${exec_prefix}/lib")
SET (includedir "\${prefix}/include")

OPTION (MSGPACK_32BIT "32bit compile" OFF)

INCLUDE(TestBigEndian)
TEST_BIG_ENDIAN(BIGENDIAN)
IF (BIGENDIAN)
    SET(MSGPACK_ENDIAN_BIG_BYTE 1)
    SET(MSGPACK_ENDIAN_LITTLE_BYTE 0)
ELSE ()
    SET(MSGPACK_ENDIAN_BIG_BYTE 0)
	SET(MSGPACK_ENDIAN_LITTLE_BYTE 1)
ENDIF ()

CONFIGURE_FILE (
    cmake/sysdep.h.in
    include/msgpack/sysdep.h
    @ONLY
)

CONFIGURE_FILE (
    cmake/pack_template.h.in
    include/msgpack/pack_template.h
    @ONLY
)

IF (APPLE)
    SET(CMAKE_MACOSX_RPATH ON)
    SET(CMAKE_SKIP_BUILD_RPATH FALSE)
    SET(CMAKE_BUILD_WITH_INSTALL_RPATH FALSE)
    SET(CMAKE_INSTALL_RPATH "${CMAKE_INSTALL_PREFIX}/lib")
    SET(CMAKE_INSTALL_RPATH_USE_LINK_PATH TRUE)
    LIST(FIND CMAKE_PLATFORM_IMPLICIT_LINK_DIRECTORIES "${CMAKE_INSTALL_PREFIX}/lib" isSystemDir)
    IF ("${isSystemDir}" STREQUAL "-1")
        SET(CMAKE_INSTALL_RPATH "${CMAKE_INSTALL_PREFIX}/lib")
    ENDIF ()
ENDIF ()

IF (MSGPACK_32BIT)
   IF ("${CMAKE_C_COMPILER_ID}" STREQUAL "GNU")
      SET (CMAKE_C_FLAGS "-m32 ${CMAKE_C_FLAGS}")
      SET (CMAKE_EXE_LINKER_FLAGS "-m32 ${CMAKE_EXE_LINKER_FLAGS}")
   ELSEIF ("${CMAKE_C_COMPILER_ID}" STREQUAL "Clang")
      SET (CMAKE_C_FLAGS "-m32 ${CMAKE_C_FLAGS}")
      SET (CMAKE_EXE_LINKER_FLAGS "-m32 ${CMAKE_EXE_LINKER_FLAGS}")
   ENDIF ()
ENDIF ()

OPTION (MSGPACK_BUILD_EXAMPLES "Build msgpack examples." ON)

IF (MSGPACK_CHAR_SIGN)
   SET (CMAKE_C_FLAGS "-f${MSGPACK_CHAR_SIGN}-char ${CMAKE_C_FLAGS}")
ENDIF ()

FIND_PACKAGE (GTest)
FIND_PACKAGE (ZLIB)
FIND_PACKAGE (Threads)
IF (GTEST_FOUND AND ZLIB_FOUND AND THREADS_FOUND)
    OPTION (MSGPACK_BUILD_TESTS "Build msgpack tests." ON)
    OPTION (MSGPACK_GEN_COVERAGE "Enable running gcov to get a test coverage report." OFF)
ENDIF ()

IF (DEFINED BUILD_SHARED_LIBS)
    IF (BUILD_SHARED_LIBS)
        IF (DEFINED MSGPACK_ENABLE_SHARED AND NOT MSGPACK_ENABLE_SHARED)
            MESSAGE(WARNING "MSGPACK_ENABLE_SHARED is overridden to ON by BUILD_SHARED_LIBS")
        ENDIF ()
        SET (MSGPACK_ENABLE_SHARED ON)
        IF (DEFINED MSGPACK_ENABLE_STATIC AND MSGPACK_ENABLE_STATIC)
            MESSAGE(WARNING "MSGPACK_ENABLE_STATIC is overridden to OFF by BUILD_SHARED_LIBS")
        ENDIF ()
        SET (MSGPACK_ENABLE_STATIC OFF)
    ELSE ()
        IF (DEFINED MSGPACK_ENABLE_SHARED AND MSGPACK_ENABLE_SHARED)
            MESSAGE(WARNING "MSGPACK_ENABLE_SHARED is overridden to OFF by BUILD_SHARED_LIBS")
        ENDIF ()
        SET (MSGPACK_ENABLE_SHARED OFF)
        IF (DEFINED MSGPACK_ENABLE_STATIC AND NOT MSGPACK_ENABLE_STATIC)
            MESSAGE(WARNING "MSGPACK_ENABLE_STATIC is overridden to ON by BUILD_SHARED_LIBS")
        ENDIF ()
        SET (MSGPACK_ENABLE_STATIC ON)
    ENDIF ()
ELSE ()
    IF (NOT DEFINED MSGPACK_ENABLE_SHARED)
        SET (MSGPACK_ENABLE_SHARED ON)
    ENDIF ()
    IF (NOT DEFINED MSGPACK_ENABLE_STATIC)
        SET (MSGPACK_ENABLE_STATIC ON)
    ENDIF ()
    SET (BUILD_SHARED_LIBS ${MSGPACK_ENABLE_SHARED})
ENDIF ()

INCLUDE (Files.cmake)

CONFIGURE_FILE (
    msgpack.pc.in
    msgpack.pc
    @ONLY
)

IF (MSGPACK_ENABLE_SHARED OR MSGPACK_ENABLE_STATIC)
    ADD_LIBRARY (msgpackc
        ${msgpackc_SOURCES}
        ${msgpackc_HEADERS}
    )

    SET_TARGET_PROPERTIES (msgpackc PROPERTIES SOVERSION 2 VERSION 2.0.0)

    TARGET_INCLUDE_DIRECTORIES (msgpackc
        PUBLIC
            $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include>
            $<BUILD_INTERFACE:${CMAKE_CURRENT_BINARY_DIR}/include>
            $<BUILD_INTERFACE:${CMAKE_CURRENT_BINARY_DIR}/include/msgpack>
            $<INSTALL_INTERFACE:include>
        PRIVATE
            ${CMAKE_CURRENT_SOURCE_DIR}
    )
ENDIF ()


IF (MSGPACK_ENABLE_SHARED AND MSGPACK_ENABLE_STATIC)
    ADD_LIBRARY (msgpackc-static STATIC
        ${msgpackc_SOURCES}
        ${msgpackc_HEADERS}
    )

    TARGET_INCLUDE_DIRECTORIES (msgpackc-static
        PUBLIC
            $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include>
            $<BUILD_INTERFACE:${CMAKE_CURRENT_BINARY_DIR}/include>
            $<BUILD_INTERFACE:${CMAKE_CURRENT_BINARY_DIR}/include/msgpack>
            $<INSTALL_INTERFACE:include>
        PRIVATE
            ${CMAKE_CURRENT_SOURCE_DIR}
    )

    SET_TARGET_PROPERTIES (msgpackc-static PROPERTIES OUTPUT_NAME "msgpackc")

    IF (MSGPACK_ENABLE_SHARED)
        IF (MSVC)
            SET_TARGET_PROPERTIES (msgpackc PROPERTIES IMPORT_SUFFIX "_import.lib")
        ELSEIF (MINGW)
            SET_TARGET_PROPERTIES (msgpackc PROPERTIES IMPORT_SUFFIX ".dll.a")
        ENDIF ()
    ENDIF ()
ENDIF ()

IF (MSGPACK_GEN_COVERAGE)
    IF (NOT MSGPACK_BUILD_TESTS)
        MESSAGE(FATAL_ERROR "Coverage requires -DMSGPACK_BUILD_TESTS=ON")
    ENDIF ()
    STRING(TOUPPER "${CMAKE_BUILD_TYPE}" UPPER_CMAKE_BUILD_TYPE)
    IF (NOT "${UPPER_CMAKE_BUILD_TYPE}" STREQUAL "DEBUG")
        MESSAGE(FATAL_ERROR "Coverage requires -DCMAKE_BUILD_TYPE=Debug")
    ENDIF ()

    INCLUDE(CodeCoverage)
    SET (CMAKE_C_FLAGS   "${CMAKE_C_FLAGS} ${COVERAGE_FLAGS}")

    SETUP_TARGET_FOR_COVERAGE(coverage make coverage test)
ENDIF ()

IF (MSGPACK_BUILD_TESTS)
    ENABLE_TESTING ()
    list(APPEND CMAKE_CTEST_ARGUMENTS "--output-on-failure")
    # MEMORYCHECK_COMMAND_OPTIONS needs to place prior to CTEST_MEMORYCHECK_COMMAND
    SET (MEMORYCHECK_COMMAND_OPTIONS "--leak-check=full --show-leak-kinds=definite,possible --error-exitcode=1")
    FIND_PROGRAM(CTEST_MEMORYCHECK_COMMAND NAMES valgrind)
    INCLUDE(Dart)
    ADD_SUBDIRECTORY (test)
ENDIF ()

IF ("${CMAKE_C_COMPILER_ID}" STREQUAL "Clang" OR "${CMAKE_C_COMPILER_ID}" STREQUAL "GNU")
    IF (MSGPACK_ENABLE_SHARED OR MSGPACK_ENABLE_STATIC)
        SET_PROPERTY (TARGET msgpackc APPEND_STRING PROPERTY COMPILE_FLAGS " -Wall -Wextra -DPIC")
    ENDIF ()
    IF (MSGPACK_ENABLE_SHARED AND MSGPACK_ENABLE_STATIC)
       SET_PROPERTY (TARGET msgpackc-static APPEND_STRING PROPERTY COMPILE_FLAGS " -Wall -Wextra" )
    ENDIF ()
ENDIF ()

IF ("${CMAKE_C_COMPILER_ID}" STREQUAL "Clang")
    IF (MSGPACK_ENABLE_SHARED OR MSGPACK_ENABLE_STATIC)
        SET_PROPERTY (TARGET msgpackc APPEND_STRING PROPERTY COMPILE_FLAGS " -Wno-mismatched-tags")
    ENDIF ()
    IF (MSGPACK_ENABLE_SHARED AND MSGPACK_ENABLE_STATIC)
        SET_PROPERTY (TARGET msgpackc-static APPEND_STRING PROPERTY COMPILE_FLAGS " -Wno-mismatched-tags")
    ENDIF ()
ENDIF ()

IF ("${CMAKE_C_COMPILER_ID}" STREQUAL "MSVC")
    IF (CMAKE_C_FLAGS MATCHES "/W[0-4]")
        STRING(REGEX REPLACE "/W[0-4]" "/W3 /WX" CMAKE_C_FLAGS "${CMAKE_C_FLAGS}")
    ELSE ()
        SET(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} /W3 /WX")
    ENDIF ()
ENDIF ()

IF ("${CMAKE_C_COMPILER_ID}" STREQUAL "MSVC")
    IF (CMAKE_C_FLAGS MATCHES "/W[0-4]")
        STRING(REGEX REPLACE "/W[0-4]" "/W3 /WX" CMAKE_C_FLAGS "${CMAKE_C_FLAGS}")
    ELSE ()
        SET(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} /W3 /WX")
    ENDIF ()
ENDIF ()

IF ("${CMAKE_C_COMPILER_ID}" STREQUAL "MSVC90" OR "${CMAKE_C_COMPILER_ID}" STREQUAL "MSVC10")
    SET_SOURCE_FILES_PROPERTIES(${msgpackc_SOURCES} PROPERTIES LANGUAGE C)
ENDIF ()

IF ("${CMAKE_SYSTEM_PROCESSOR}" STREQUAL "sparc")
    SET (CMAKE_C_FLAGS   "-DMSGPACK_ZONE_ALIGN=8 ${CMAKE_C_FLAGS}")
ENDIF ()

IF (NOT DEFINED CMAKE_INSTALL_BINDIR)
    SET(CMAKE_INSTALL_BINDIR bin)
ENDIF ()

IF (NOT DEFINED CMAKE_INSTALL_LIBDIR)
    SET(CMAKE_INSTALL_LIBDIR lib)
ENDIF ()

IF (MSGPACK_BUILD_EXAMPLES)
    ADD_SUBDIRECTORY (example)
ENDIF ()

IF (MSGPACK_ENABLE_SHARED OR MSGPACK_ENABLE_STATIC)
    SET (MSGPACK_INSTALLTARGETS msgpackc)
ENDIF ()

IF (MSGPACK_ENABLE_SHARED AND MSGPACK_ENABLE_STATIC)
    LIST (APPEND MSGPACK_INSTALLTARGETS msgpackc-static)
ENDIF ()

INSTALL (TARGETS ${MSGPACK_INSTALLTARGETS} EXPORT msgpack-targets
    RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR}
    LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR}
    ARCHIVE DESTINATION ${CMAKE_INSTALL_LIBDIR}
)
FOREACH (file ${msgpackc_common_HEADERS})
    GET_FILENAME_COMPONENT (dir ${file} PATH)
    INSTALL (FILES ${file} DESTINATION ${CMAKE_INSTALL_PREFIX}/${dir})
ENDFOREACH ()
FOREACH (file ${msgpackc_configured_HEADERS})
    GET_FILENAME_COMPONENT (dir ${file} PATH)
    INSTALL (FILES ${CMAKE_CURRENT_BINARY_DIR}/${file} DESTINATION ${CMAKE_INSTALL_PREFIX}/${dir})
ENDFOREACH ()
IF (NOT MSVC)
    INSTALL (FILES ${CMAKE_CURRENT_BINARY_DIR}/msgpack.pc DESTINATION ${CMAKE_INSTALL_LIBDIR}/pkgconfig)
ENDIF ()

# Doxygen
FIND_PACKAGE (Doxygen)
IF (DOXYGEN_FOUND)
    LIST (APPEND Doxyfile_c_CONTENT
        COMMAND ${CMAKE_COMMAND} -E copy ${CMAKE_CURRENT_SOURCE_DIR}/Doxyfile ${CMAKE_CURRENT_BINARY_DIR}/Doxyfile_c
        COMMAND ${CMAKE_COMMAND} -E echo "FILE_PATTERNS      = *.h" >> ${CMAKE_CURRENT_BINARY_DIR}/Doxyfile_c
        COMMAND ${CMAKE_COMMAND} -E echo "OUTPUT_DIRECTORY   = doc_c" >> ${CMAKE_CURRENT_BINARY_DIR}/Doxyfile_c
        COMMAND ${CMAKE_COMMAND} -E echo "INPUT              = ${CMAKE_CURRENT_SOURCE_DIR}/include" >> ${CMAKE_CURRENT_BINARY_DIR}/Doxyfile_c
        COMMAND ${CMAKE_COMMAND} -E echo "EXTRACT_ALL        = YES" >> ${CMAKE_CURRENT_BINARY_DIR}/Doxyfile_c
        COMMAND ${CMAKE_COMMAND} -E echo "PROJECT_NAME       = \"MessagePack for C\"" >> ${CMAKE_CURRENT_BINARY_DIR}/Doxyfile_c
        COMMAND ${CMAKE_COMMAND} -E echo "STRIP_FROM_PATH    = ${CMAKE_CURRENT_SOURCE_DIR}/include" >> ${CMAKE_CURRENT_BINARY_DIR}/Doxyfile_c
    )
    IF (DOXYGEN_DOT_FOUND)
        LIST (APPEND Doxyfile_c_CONTENT
            COMMAND ${CMAKE_COMMAND} -E echo "HAVE_DOT       = YES" >> ${CMAKE_CURRENT_BINARY_DIR}/Doxyfile_c
        )
    ENDIF ()
    ADD_CUSTOM_TARGET (
        doxygen
        ${Doxyfile_c_CONTENT}
        COMMAND ${DOXYGEN_EXECUTABLE} ${CMAKE_CURRENT_BINARY_DIR}/Doxyfile_c
        VERBATIM
    )
ENDIF ()

INCLUDE (CMakePackageConfigHelpers)

SET (CMAKE_INSTALL_CMAKEDIR "${CMAKE_INSTALL_LIBDIR}/cmake/msgpack")

WRITE_BASIC_PACKAGE_VERSION_FILE (
    msgpack-config-version.cmake
    VERSION ${VERSION}
    COMPATIBILITY SameMajorVersion
)

IF (NOT CMAKE_VERSION VERSION_LESS 3.0)
    EXPORT (EXPORT msgpack-targets
        FILE "${CMAKE_CURRENT_BINARY_DIR}/msgpack-targets.cmake"
    )
ENDIF ()

CONFIGURE_PACKAGE_CONFIG_FILE (msgpack-config.cmake.in
    msgpack-config.cmake
    INSTALL_DESTINATION "${CMAKE_INSTALL_CMAKEDIR}"
)

INSTALL (EXPORT msgpack-targets
    FILE
        msgpack-targets.cmake
    DESTINATION
        "${CMAKE_INSTALL_CMAKEDIR}"
)

INSTALL (
    FILES
        "${CMAKE_CURRENT_BINARY_DIR}/msgpack-config.cmake"
        "${CMAKE_CURRENT_BINARY_DIR}/msgpack-config-version.cmake"
    DESTINATION
        "${CMAKE_INSTALL_CMAKEDIR}"
)

=== test/CMakeLists.txt ===
FIND_PACKAGE (GTest REQUIRED)
FIND_PACKAGE (ZLIB REQUIRED)
FIND_PACKAGE (Threads REQUIRED)

INCLUDE_DIRECTORIES (
    ${GTEST_INCLUDE_DIRS}
    ${ZLIB_INCLUDE_DIRS}
)

SET (check_PROGRAMS
    buffer_c.cpp
    fixint_c.cpp
    msgpack_c.cpp
    pack_unpack_c.cpp
    streaming_c.cpp
)

FOREACH (source_file ${check_PROGRAMS})
    GET_FILENAME_COMPONENT (source_file_we ${source_file} NAME_WE)
    ADD_EXECUTABLE (
        ${source_file_we}
        ${source_file}
    )

    TARGET_LINK_LIBRARIES (${source_file_we}
        msgpackc
        ${GTEST_BOTH_LIBRARIES}
        ${ZLIB_LIBRARIES}
        ${CMAKE_THREAD_LIBS_INIT}
    )
    ADD_TEST (${source_file_we} ${source_file_we})
    IF ("${CMAKE_CXX_COMPILER_ID}" STREQUAL "Clang" OR "${CMAKE_CXX_COMPILER_ID}" STREQUAL "GNU")
        SET_PROPERTY (TARGET ${source_file_we} APPEND_STRING PROPERTY COMPILE_FLAGS " -Wall -Wextra -Wconversion")
    ENDIF ()
    IF ("${CMAKE_CXX_COMPILER_ID}" STREQUAL "Clang")
        SET_PROPERTY (TARGET ${source_file_we} APPEND_STRING PROPERTY COMPILE_FLAGS " -Wno-mismatched-tags")
    ENDIF ()

    IF ("${CMAKE_CXX_COMPILER_ID}" STREQUAL "MSVC")
        IF (CMAKE_CXX_FLAGS MATCHES "/W[0-4]")
            STRING(REGEX REPLACE "/W[0-4]" "/W3 /WX" CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS}")
        ELSE ()
            SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} /W3 /WX")
        ENDIF ()
    ENDIF ()
ENDFOREACH ()

=== example/cmake/CMakeLists.txt ===
cmake_minimum_required (VERSION 3.0)
project (example)

if(EXAMPLE_MSGPACK_EMBEDDED)
    add_subdirectory(msgpack-c)
    set(msgpack_DIR ${CMAKE_CURRENT_BINARY_DIR}/msgpack-c)
endif()

find_package(msgpack REQUIRED)

add_executable (${PROJECT_NAME} ${CMAKE_CURRENT_LIST_DIR}/../simple_c.c)
target_link_libraries(${PROJECT_NAME} msgpackc)

if(TARGET msgpackc-static)
    add_executable (${PROJECT_NAME}-static ${CMAKE_CURRENT_LIST_DIR}/../simple_c.c)
    target_link_libraries(${PROJECT_NAME}-static msgpackc-static)
endif()

=== debian/changelog ===
msgpack-c (4.0.0-1) unstable; urgency=medium

  * New upstream release
    + Upstream has split the project into two separate upstream packages --
      msgpack-c (this package) and msgpack-cxx.
  * Move packaging repo to debian/msgpack-c
  * Declare compliance with Policy 4.6.1, no changes needed
  * Switch Build-Depends from googletest to libgtest-dev
  * Add libmsgpack-cxx-dev Depends to libmsgpack-dev while packages migrate

 -- James McCoy <jamessan@debian.org>  Tue, 26 Jul 2022 06:54:30 -0400

=== debian/control ===
--- 
+++ 
@@ -10,15 +10,14 @@
 Build-Depends:
  cmake (>= 2.8.12),
  debhelper-compat (= 12),
- googletest <!nocheck>,
- libboost-dev <!nocheck>,
+ libgtest-dev <!nocheck>,
  ninja-build,
  zlib1g-dev,
-Standards-Version: 4.5.0
+Standards-Version: 4.6.1
 Homepage: https://github.com/msgpack/msgpack-c/
 Rules-Requires-Root: no
-Vcs-Git: https://salsa.debian.org/jamessan/msgpack-c.git
-Vcs-Browser: https://salsa.debian.org/jamessan/msgpack-c
+Vcs-Git: https://salsa.debian.org/debian/msgpack-c.git
+Vcs-Browser: https://salsa.debian.org/debian/msgpack-c
 
 Package: libmsgpackc2
 Pre-Depends:
@@ -38,8 +37,8 @@
 Architecture: any
 Multi-Arch: same
 Depends:
- libboost-dev,
  libmsgpackc2 (= ${binary:Version}),
+ libmsgpack-cxx-dev,
  ${misc:Depends},
 Suggests:
  libmsgpack-doc,

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS=hardening=+all
include /usr/share/dpkg/architecture.mk
include /usr/share/dpkg/buildflags.mk

export CFLAGS CPPFLAGS LDFLAGS

%:
	dh $@ --buildsystem=cmake+ninja --builddirectory=build

ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
override_dh_auto_configure:
	dh_auto_configure -- -DMSGPACK_ENABLE_SHARED=ON -DCMAKE_INSTALL_LIBDIR=/usr/lib/$(DEB_HOST_MULTIARCH)

override_dh_auto_build-arch:
	dh_auto_build

override_dh_auto_test-arch:
	dh_auto_test

else
override_dh_auto_configure:
	dh_auto_configure -- -DMSGPACK_ENABLE_SHARED=ON -DCMAKE_INSTALL_LIBDIR=/usr/lib/$(DEB_HOST_MULTIARCH)

endif

ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
override_dh_auto_build-indep:
	dh_auto_build -- doxygen

override_dh_install-indep:
	dh_install -i

override_dh_installdocs-indep:
	mkdir -p build/html
	dh_installdocs
	dh_doxygen

override_dh_link-indep:
	dh_link -i
	jdupes -rl debian/libmsgpack-doc/usr/

override_dh_auto_test-indep:
endif

=== debian/tests/control ===
Tests: run_examples
Depends:
 build-essential,
 cmake,
 libcjson-dev,
 libmsgpack-dev,

=== debian/watch ===
version=3

https://github.com/msgpack/msgpack-c/releases/ (?:.*/)?msgpack-c-([0-9.]+)\.tar\.gz

## msgpack-c 6.0.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,11 +1,21 @@
-CMAKE_MINIMUM_REQUIRED (VERSION 2.8.12)
-
-IF ((CMAKE_VERSION VERSION_GREATER 3.1) OR
-    (CMAKE_VERSION VERSION_EQUAL 3.1))
-    CMAKE_POLICY(SET CMP0054 NEW)
-ENDIF ()
-
-PROJECT (msgpack)
+if(${CMAKE_VERSION} VERSION_GREATER "3.4")
+    CMAKE_MINIMUM_REQUIRED (VERSION 3.5)
+else()
+    CMAKE_MINIMUM_REQUIRED (VERSION 2.8.12)
+    IF ((CMAKE_VERSION VERSION_GREATER 3.1) OR
+        (CMAKE_VERSION VERSION_EQUAL 3.1))
+        CMAKE_POLICY(SET CMP0054 NEW)
+    ENDIF ()
+endif()
+
+OPTION (MSGPACK_BUILD_TESTS "Build msgpack tests." OFF)
+OPTION (MSGPACK_GEN_COVERAGE "Enable running gcov to get a test coverage report." OFF)
+
+if(MSGPACK_BUILD_TESTS)
+    PROJECT (msgpack-c)
+else()
+    PROJECT (msgpack-c C)
+endif()
 
 FILE (READ ${CMAKE_CURRENT_SOURCE_DIR}/include/msgpack/version_master.h contents)
 STRING (REGEX MATCH "#define MSGPACK_VERSION_MAJOR *([0-9a-zA-Z_]*)" NULL_OUT ${contents})
@@ -17,10 +27,11 @@
 SET (VERSION ${VERSION_MAJOR}.${VERSION_MINOR}.${VERSION_REVISION})
 
 LIST (APPEND CMAKE_MODULE_PATH "${PROJECT_SOURCE_DIR}/cmake/")
+include(GNUInstallDirs)
 SET (prefix ${CMAKE_INSTALL_PREFIX})
-SET (exec_prefix "\${prefix}")
-SET (libdir "\${exec_prefix}/lib")
-SET (includedir "\${prefix}/include")
+SET (exec_prefix ${CMAKE_INSTALL_PREFIX})
+SET (libdir ${CMAKE_INSTALL_LIBDIR})
+SET (includedir ${CMAKE_INSTALL_INCLUDEDIR})
 
 OPTION (MSGPACK_32BIT "32bit compile" OFF)
 
@@ -31,7 +42,7 @@
     SET(MSGPACK_ENDIAN_LITTLE_BYTE 0)
 ELSE ()
     SET(MSGPACK_ENDIAN_BIG_BYTE 0)
-	SET(MSGPACK_ENDIAN_LITTLE_BYTE 1)
+    SET(MSGPACK_ENDIAN_LITTLE_BYTE 1)
 ENDIF ()
 
 CONFIGURE_FILE (
@@ -74,14 +85,6 @@
    SET (CMAKE_C_FLAGS "-f${MSGPACK_CHAR_SIGN}-char ${CMAKE_C_FLAGS}")
 ENDIF ()
 
-FIND_PACKAGE (GTest)
-FIND_PACKAGE (ZLIB)
-FIND_PACKAGE (Threads)
-IF (GTEST_FOUND AND ZLIB_FOUND AND THREADS_FOUND)
-    OPTION (MSGPACK_BUILD_TESTS "Build msgpack tests." ON)
-    OPTION (MSGPACK_GEN_COVERAGE "Enable running gcov to get a test coverage report." OFF)
-ENDIF ()
-
 IF (DEFINED BUILD_SHARED_LIBS)
     IF (BUILD_SHARED_LIBS)
         IF (DEFINED MSGPACK_ENABLE_SHARED AND NOT MSGPACK_ENABLE_SHARED)
@@ -115,20 +118,20 @@
 INCLUDE (Files.cmake)
 
 CONFIGURE_FILE (
-    msgpack.pc.in
-    msgpack.pc
+    msgpack-c.pc.in
+    msgpack-c.pc
     @ONLY
 )
 
 IF (MSGPACK_ENABLE_SHARED OR MSGPACK_ENABLE_STATIC)
-    ADD_LIBRARY (msgpackc
-        ${msgpackc_SOURCES}
-        ${msgpackc_HEADERS}
-    )
-
-    SET_TARGET_PROPERTIES (msgpackc PROPERTIES SOVERSION 2 VERSION 2.0.0)
-
-    TARGET_INCLUDE_DIRECTORIES (msgpackc
+    ADD_LIBRARY (msgpack-c
+        ${msgpack-c_SOURCES}
+        ${msgpack-c_HEADERS}
+    )
+
+    SET_TARGET_PROPERTIES (msgpack-c PROPERTIES SOVERSION 2 VERSION 2.0.0)
+
+    TARGET_INCLUDE_DIRECTORIES (msgpack-c
         PUBLIC
             $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include>
             $<BUILD_INTERFACE:${CMAKE_CURRENT_BINARY_DIR}/include>
@@ -141,12 +144,12 @@
 
 
 IF (MSGPACK_ENABLE_SHARED AND MSGPACK_ENABLE_STATIC)
-    ADD_LIBRARY (msgpackc-static STATIC
-        ${msgpackc_SOURCES}
-        ${msgpackc_HEADERS}
-    )
-
-    TARGET_INCLUDE_DIRECTORIES (msgpackc-static
+    ADD_LIBRARY (msgpack-c-static STATIC
+        ${msgpack-c_SOURCES}
+        ${msgpack-c_HEADERS}
+    )
+
+    TARGET_INCLUDE_DIRECTORIES (msgpack-c-static
         PUBLIC
             $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include>
             $<BUILD_INTERFACE:${CMAKE_CURRENT_BINARY_DIR}/include>
@@ -156,13 +159,13 @@
             ${CMAKE_CURRENT_SOURCE_DIR}
     )
 
-    SET_TARGET_PROPERTIES (msgpackc-static PROPERTIES OUTPUT_NAME "msgpackc")
+    SET_TARGET_PROPERTIES (msgpack-c-static PROPERTIES OUTPUT_NAME "msgpack-c")
 
     IF (MSGPACK_ENABLE_SHARED)
         IF (MSVC)
-            SET_TARGET_PROPERTIES (msgpackc PROPERTIES IMPORT_SUFFIX "_import.lib")
+            SET_TARGET_PROPERTIES (msgpack-c PROPERTIES IMPORT_SUFFIX "_import.lib")
         ELSEIF (MINGW)
-            SET_TARGET_PROPERTIES (msgpackc PROPERTIES IMPORT_SUFFIX ".dll.a")
+            SET_TARGET_PROPERTIES (msgpack-c PROPERTIES IMPORT_SUFFIX ".dll.a")
         ENDIF ()
     ENDIF ()
 ENDIF ()
@@ -194,19 +197,19 @@
 
 IF ("${CMAKE_C_COMPILER_ID}" STREQUAL "Clang" OR "${CMAKE_C_COMPILER_ID}" STREQUAL "GNU")
     IF (MSGPACK_ENABLE_SHARED OR MSGPACK_ENABLE_STATIC)
-        SET_PROPERTY (TARGET msgpackc APPEND_STRING PROPERTY COMPILE_FLAGS " -Wall -Wextra -DPIC")
+        SET_PROPERTY (TARGET msgpack-c APPEND_STRING PROPERTY COMPILE_FLAGS " -Wall -Wextra -DPIC")
     ENDIF ()
     IF (MSGPACK_ENABLE_SHARED AND MSGPACK_ENABLE_STATIC)
-       SET_PROPERTY (TARGET msgpackc-static APPEND_STRING PROPERTY COMPILE_FLAGS " -Wall -Wextra" )
+       SET_PROPERTY (TARGET msgpack-c-static APPEND_STRING PROPERTY COMPILE_FLAGS " -Wall -Wextra" )
     ENDIF ()
 ENDIF ()
 
 IF ("${CMAKE_C_COMPILER_ID}" STREQUAL "Clang")
     IF (MSGPACK_ENABLE_SHARED OR MSGPACK_ENABLE_STATIC)
-        SET_PROPERTY (TARGET msgpackc APPEND_STRING PROPERTY COMPILE_FLAGS " -Wno-mismatched-tags")
+        SET_PROPERTY (TARGET msgpack-c APPEND_STRING PROPERTY COMPILE_FLAGS " -Wno-mismatched-tags")
     ENDIF ()
     IF (MSGPACK_ENABLE_SHARED AND MSGPACK_ENABLE_STATIC)
-        SET_PROPERTY (TARGET msgpackc-static APPEND_STRING PROPERTY COMPILE_FLAGS " -Wno-mismatched-tags")
+        SET_PROPERTY (TARGET msgpack-c-static APPEND_STRING PROPERTY COMPILE_FLAGS " -Wno-mismatched-tags")
     ENDIF ()
 ENDIF ()
 
@@ -227,7 +230,7 @@
 ENDIF ()
 
 IF ("${CMAKE_C_COMPILER_ID}" STREQUAL "MSVC90" OR "${CMAKE_C_COMPILER_ID}" STREQUAL "MSVC10")
-    SET_SOURCE_FILES_PROPERTIES(${msgpackc_SOURCES} PROPERTIES LANGUAGE C)
+    SET_SOURCE_FILES_PROPERTIES(${msgpack-c_SOURCES} PROPERTIES LANGUAGE C)
 ENDIF ()
 
 IF ("${CMAKE_SYSTEM_PROCESSOR}" STREQUAL "sparc")
@@ -247,28 +250,28 @@
 ENDIF ()
 
 IF (MSGPACK_ENABLE_SHARED OR MSGPACK_ENABLE_STATIC)
-    SET (MSGPACK_INSTALLTARGETS msgpackc)
+    SET (MSGPACK_INSTALLTARGETS msgpack-c)
 ENDIF ()
 
 IF (MSGPACK_ENABLE_SHARED AND MSGPACK_ENABLE_STATIC)
-    LIST (APPEND MSGPACK_INSTALLTARGETS msgpackc-static)
-ENDIF ()
-
-INSTALL (TARGETS ${MSGPACK_INSTALLTARGETS} EXPORT msgpack-targets
+    LIST (APPEND MSGPACK_INSTALLTARGETS msgpack-c-static)
+ENDIF ()
+
+INSTALL (TARGETS ${MSGPACK_INSTALLTARGETS} EXPORT msgpack-c-targets
     RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR}
     LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR}
     ARCHIVE DESTINATION ${CMAKE_INSTALL_LIBDIR}
 )
-FOREACH (file ${msgpackc_common_HEADERS})
+FOREACH (file ${msgpack-c_common_HEADERS})
     GET_FILENAME_COMPONENT (dir ${file} PATH)
-    INSTALL (FILES ${file} DESTINATION ${CMAKE_INSTALL_PREFIX}/${dir})
+    INSTALL (FILES ${file} DESTINATION ${dir})
 ENDFOREACH ()
-FOREACH (file ${msgpackc_configured_HEADERS})
+FOREACH (file ${msgpack-c_configured_HEADERS})
     GET_FILENAME_COMPONENT (dir ${file} PATH)
-    INSTALL (FILES ${CMAKE_CURRENT_BINARY_DIR}/${file} DESTINATION ${CMAKE_INSTALL_PREFIX}/${dir})
+    INSTALL (FILES ${CMAKE_CURRENT_BINARY_DIR}/${file} DESTINATION ${dir})
 ENDFOREACH ()
 IF (NOT MSVC)
-    INSTALL (FILES ${CMAKE_CURRENT_BINARY_DIR}/msgpack.pc DESTINATION ${CMAKE_INSTALL_LIBDIR}/pkgconfig)
+    INSTALL (FILES ${CMAKE_CURRENT_BINARY_DIR}/msgpack-c.pc DESTINATION ${CMAKE_INSTALL_LIBDIR}/pkgconfig)
 ENDIF ()
 
 # Doxygen
@@ -298,36 +301,36 @@
 
 INCLUDE (CMakePackageConfigHelpers)
 
-SET (CMAKE_INSTALL_CMAKEDIR "${CMAKE_INSTALL_LIBDIR}/cmake/msgpack")
+SET (CMAKE_INSTALL_CMAKEDIR "${CMAKE_INSTALL_LIBDIR}/cmake/msgpack-c")
 
 WRITE_BASIC_PACKAGE_VERSION_FILE (
-    msgpack-config-version.cmake
+    msgpack-c-config-version.cmake
     VERSION ${VERSION}
     COMPATIBILITY SameMajorVersion
 )
 
 IF (NOT CMAKE_VERSION VERSION_LESS 3.0)
-    EXPORT (EXPORT msgpack-targets
-        FILE "${CMAKE_CURRENT_BINARY_DIR}/msgpack-targets.cmake"
-    )
-ENDIF ()
-
-CONFIGURE_PACKAGE_CONFIG_FILE (msgpack-config.cmake.in
-    msgpack-config.cmake
+    EXPORT (EXPORT msgpack-c-targets
+        FILE "${CMAKE_CURRENT_BINARY_DIR}/msgpack-c-targets.cmake"
+    )
+ENDIF ()
+
+CONFIGURE_PACKAGE_CONFIG_FILE (msgpack-c-config.cmake.in
+    msgpack-c-config.cmake
     INSTALL_DESTINATION "${CMAKE_INSTALL_CMAKEDIR}"
 )
 
-INSTALL (EXPORT msgpack-targets
+INSTALL (EXPORT msgpack-c-targets
     FILE
-        msgpack-targets.cmake
+        msgpack-c-targets.cmake
     DESTINATION
         "${CMAKE_INSTALL_CMAKEDIR}"
 )
 
 INSTALL (
     FILES
-        "${CMAKE_CURRENT_BINARY_DIR}/msgpack-config.cmake"
-        "${CMAKE_CURRENT_BINARY_DIR}/msgpack-config-version.cmake"
+        "${CMAKE_CURRENT_BINARY_DIR}/msgpack-c-config.cmake"
+        "${CMAKE_CURRENT_BINARY_DIR}/msgpack-c-config-version.cmake"
     DESTINATION
         "${CMAKE_INSTALL_CMAKEDIR}"
 )

=== debian/changelog ===
msgpack-c (6.0.1-3) unstable; urgency=medium

  * Add a libmsgpack-dev transitional package
  * Revert "Move packaging to debian/experimental to prepare for 6.0.0 testing"

 -- James McCoy <jamessan@debian.org>  Tue, 04 Jun 2024 07:55:10 -0400

msgpack-c (6.0.1-2) unstable; urgency=medium

  * Upload to unstable

 -- James McCoy <jamessan@debian.org>  Sun, 02 Jun 2024 15:20:18 -0400

msgpack-c (6.0.1-1) experimental; urgency=medium

  * New upstream release
  * Add a salsa-ci config with nodoc/nocheck profile testing enabled
  * Declare compliance with Policy 4.7.0, no changes needed

 -- James McCoy <jamessan@debian.org>  Sat, 25 May 2024 11:10:11 -0400

msgpack-c (6.0.0-5) experimental; urgency=medium

  * Revert "Remove "Provides: libmsgpack-dev" from libmsgpack-c-dev" so
    packages which already support both library names don't need any source
    changes.

 -- James McCoy <jamessan@debian.org>  Mon, 05 Feb 2024 22:08:23 -0500

msgpack-c (6.0.0-4) experimental; urgency=medium

  * Remove "Multi-Arch: same" from libmsgpack-c-dev
  * Fix directory name in jdupes command

 -- James McCoy <jamessan@debian.org>  Mon, 04 Sep 2023 16:01:58 -0400

msgpack-c (6.0.0-3) experimental; urgency=medium

  * autopkgtest: Depend on libmsgpack-c-dev, not libmsgpack-dev

 -- James McCoy <jamessan@debian.org>  Sat, 24 Jun 2023 11:16:25 -0400

msgpack-c (6.0.0-2) experimental; urgency=medium

  * Add Breaks/Replaces for libmsgpack-dev < 6.0.0-1~ (Closes: #1037928)
  * Remove "Provides: libmsgpack-dev" from libmsgpack-c-dev

 -- James McCoy <jamessan@debian.org>  Fri, 23 Jun 2023 20:33:37 -0400

msgpack-c (6.0.0-1) experimental; urgency=medium

  * New upstream release
    + CMake project renamed from msgpack to msgpack-c
    + Library renamed from msgpackc to msgpack-c
  * Define whether to build tests based on $DEB_BUILD_OPTIONS
  * Update packaging for msgpackc -> msgpack-c library renaming
  * Drop Depends: libmsgpack-cxx-dev (Closes: #1018679)
  * Declare compliance with Policy 4.6.2, no changes needed

 -- James McCoy <jamessan@debian.org>  Sun, 11 Jun 2023 14:31:49 -0400

msgpack-c (4.0.0-3) unstable; urgency=medium

  * Add -DCMAKE_SKIP_INSTALL_ALL_DEPENDENCY=OFF to configure to fix Arch: all
    FTBFS

 -- James McCoy <jamessan@debian.org>  Wed, 04 Jan 2023 06:17:30 -0500

msgpack-c (4.0.0-2) unstable; urgency=medium

  * watch: Use GitHub's tags page to find the release tarball
  * ci: Rename run_examples test to run-examples
  * Add upstream/metadata file
  * Update to debhelper-compat 13

 -- James McCoy <jamessan@debian.org>  Mon, 02 Jan 2023 19:19:49 -0500

=== debian/control ===
--- 
+++ 
@@ -9,17 +9,17 @@
  jdupes <!nodoc>,
 Build-Depends:
  cmake (>= 2.8.12),
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  libgtest-dev <!nocheck>,
  ninja-build,
  zlib1g-dev,
-Standards-Version: 4.6.1
+Standards-Version: 4.7.0
 Homepage: https://github.com/msgpack/msgpack-c/
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/debian/msgpack-c.git
 Vcs-Browser: https://salsa.debian.org/debian/msgpack-c
 
-Package: libmsgpackc2
+Package: libmsgpack-c2
 Pre-Depends:
  ${misc:Pre-Depends},
 Architecture: any
@@ -33,15 +33,26 @@
  But unlike JSON, it is very fast and small.
 
 Package: libmsgpack-dev
+Architecture: all
+Section: libdevel
+Depends: libmsgpack-c-dev
+Description: transitional dummy package
+ This is a transitional dummy package, it can be safely removed.
+
+Package: libmsgpack-c-dev
 Section: libdevel
 Architecture: any
-Multi-Arch: same
+Provides:
+ libmsgpack-dev (= ${source:Version}),
+Breaks:
+ libmsgpack-dev (<< 6.0.0-1~),
+Replaces:
+ libmsgpack-dev (<< 6.0.0-1~),
 Depends:
- libmsgpackc2 (= ${binary:Version}),
- libmsgpack-cxx-dev,
+ libmsgpack-c2 (= ${binary:Version}),
  ${misc:Depends},
 Suggests:
- libmsgpack-doc,
+ libmsgpack-c-doc,
 Description: binary-based efficient object serialization library (development files)
  MessagePack is a binary-based efficient object serialization library.
  It enables to exchange structured objects between many languages like JSON.
@@ -49,7 +60,7 @@
  .
  This package contains the headers files needed for developing with msgpack-c.
 
-Package: libmsgpack-doc
+Package: libmsgpack-c-doc
 Section: doc
 Architecture: all
 Build-Profiles: <!nodoc>

## msgpack-c 6.1.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -7,6 +7,11 @@
         CMAKE_POLICY(SET CMP0054 NEW)
     ENDIF ()
 endif()
+
+IF ((CMAKE_VERSION VERSION_GREATER 3.27) OR
+    (CMAKE_VERSION VERSION_EQUAL 3.27))
+    CMAKE_POLICY(SET CMP0145 OLD)
+ENDIF ()
 
 OPTION (MSGPACK_BUILD_TESTS "Build msgpack tests." OFF)
 OPTION (MSGPACK_GEN_COVERAGE "Enable running gcov to get a test coverage report." OFF)
@@ -30,8 +35,16 @@
 include(GNUInstallDirs)
 SET (prefix ${CMAKE_INSTALL_PREFIX})
 SET (exec_prefix ${CMAKE_INSTALL_PREFIX})
-SET (libdir ${CMAKE_INSTALL_LIBDIR})
-SET (includedir ${CMAKE_INSTALL_INCLUDEDIR})
+IF (IS_ABSOLUTE ${CMAKE_INSTALL_LIBDIR})
+    SET (libdir ${CMAKE_INSTALL_LIBDIR})
+ELSE ()
+    SET (libdir "\${prefix}/${CMAKE_INSTALL_LIBDIR}")
+ENDIF ()
+IF (IS_ABSOLUTE ${CMAKE_INSTALL_INCLUDEDIR})
+    SET (includedir ${CMAKE_INSTALL_INCLUDEDIR})
+ELSE ()
+    SET (includedir "\${prefix}/${CMAKE_INSTALL_INCLUDEDIR}")
+ENDIF ()
 
 OPTION (MSGPACK_32BIT "32bit compile" OFF)
 
@@ -263,12 +276,14 @@
     ARCHIVE DESTINATION ${CMAKE_INSTALL_LIBDIR}
 )
 FOREACH (file ${msgpack-c_common_HEADERS})
-    GET_FILENAME_COMPONENT (dir ${file} PATH)
-    INSTALL (FILES ${file} DESTINATION ${dir})
+    GET_FILENAME_COMPONENT(dir ${file} DIRECTORY)
+    STRING(REPLACE "include" "${CMAKE_INSTALL_INCLUDEDIR}" header_path ${dir})
+    INSTALL (FILES ${file} DESTINATION ${header_path})
 ENDFOREACH ()
 FOREACH (file ${msgpack-c_configured_HEADERS})
-    GET_FILENAME_COMPONENT (dir ${file} PATH)
-    INSTALL (FILES ${CMAKE_CURRENT_BINARY_DIR}/${file} DESTINATION ${dir})
+    GET_FILENAME_COMPONENT(dir ${file} DIRECTORY)
+    STRING(REPLACE "include" "${CMAKE_INSTALL_INCLUDEDIR}" header_path ${dir})
+    INSTALL (FILES ${CMAKE_CURRENT_BINARY_DIR}/${file} DESTINATION ${header_path})
 ENDFOREACH ()
 IF (NOT MSVC)
     INSTALL (FILES ${CMAKE_CURRENT_BINARY_DIR}/msgpack-c.pc DESTINATION ${CMAKE_INSTALL_LIBDIR}/pkgconfig)
@@ -330,7 +345,3 @@
 INSTALL (
     FILES
         "${CMAKE_CURRENT_BINARY_DIR}/msgpack-c-config.cmake"
-        "${CMAKE_CURRENT_BINARY_DIR}/msgpack-c-config-version.cmake"
-    DESTINATION
-        "${CMAKE_INSTALL_CMAKEDIR}"
-)

=== test/CMakeLists.txt ===
--- 
+++ 
@@ -23,7 +23,7 @@
     )
 
     TARGET_LINK_LIBRARIES (${source_file_we}
-        msgpackc
+        msgpack-c
         ${GTEST_BOTH_LIBRARIES}
         ${ZLIB_LIBRARIES}
         ${CMAKE_THREAD_LIBS_INIT}

=== debian/changelog ===
msgpack-c (6.1.0-2) unstable; urgency=medium

  * Revert "Move all non-debhelper Build-Depends to Build-Depends-Arch"

 -- James McCoy <jamessan@debian.org>  Tue, 30 Sep 2025 21:08:59 -0400

msgpack-c (6.1.0-1) unstable; urgency=medium

  * New upstream release
  * autopkgtest: Increase cmake_minimm_required version to 3.16
    (Closes: #1116512)
  * Add msgpack_object_init_* symbols
  * Declare compliance with Policy 4.7.2, no changes needed
  * Remove Rules-Requires-Root, no longer necessary
  * Move all non-debhelper Build-Depends to Build-Depends-Arch

 -- James McCoy <jamessan@debian.org>  Tue, 30 Sep 2025 20:30:02 -0400

=== debian/control ===
--- 
+++ 
@@ -13,9 +13,8 @@
  libgtest-dev <!nocheck>,
  ninja-build,
  zlib1g-dev,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://github.com/msgpack/msgpack-c/
-Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/debian/msgpack-c.git
 Vcs-Browser: https://salsa.debian.org/debian/msgpack-c

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS=hardening=+all
include /usr/share/dpkg/architecture.mk
include /usr/share/dpkg/buildflags.mk

ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
  BUILD_TESTS=ON
else
  BUILD_TESTS=OFF
endif

export CFLAGS CPPFLAGS LDFLAGS

%:
	dh $@ --buildsystem=cmake+ninja --builddirectory=build

override_dh_auto_configure:
	dh_auto_configure -- -DMSGPACK_BUILD_TESTS=$(BUILD_TESTS) -DCMAKE_SKIP_INSTALL_ALL_DEPENDENCY=OFF -DCMAKE_INSTALL_LIBDIR=/usr/lib/$(DEB_HOST_MULTIARCH)

ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
override_dh_auto_build-indep:
	dh_auto_build -- doxygen

override_dh_install-indep:
	dh_install -i

override_dh_installdocs-indep:
	mkdir -p build/html
	dh_installdocs
	dh_doxygen

override_dh_link-indep:
	dh_link -i
	jdupes -rl debian/libmsgpack-c-doc/usr/

override_dh_auto_test-indep:
endif

=== debian/tests/control ===
Tests: run-examples
Depends:
 build-essential,
 cmake,
 libcjson-dev,
 libmsgpack-c-dev,

=== debian/watch ===
version=4

opts="\
    downloadurlmangle=s#/tag/#/download/#;s#(c-@ANY_VERSION@)$#$1/@PACKAGE@-$2.tar.gz#, \
    filenamemangle=s#c-@ANY_VERSION@#@PACKAGE@-$1.tar.gz#" \
https://github.com/msgpack/msgpack-c/tags/ .*/releases/tag/c-@ANY_VERSION@
